function [f,g]=column1_linearize(X,u)
%
% cola4_lin - This function designed for use with 'linearize.m' to
%        create a linear model of a distillation column.
%        
%     X - states (liquid composition and liquid hold up)
%     u - inputs (reflux LT, boilup VB, feedrate F and feed composition zF)
%
%  NOTE: Everything here is row vectors rather than columnn vectors


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

NT=13;

% Splitting the states
x=X(1:NT);                          % Liquid composition
M=X(NT+1:2*NT);                     % Liquid hold up
T0 = 250*ones(1,NT);                %initial temperature guess

% This variable is not used
t=0;

xprime=column1_lv(t,[X' T0],u');

% Output
f=xprime(1:2*NT)';
xb = x(1);
yd = x(NT);
g=[log(1-yd),log(xb)];
%g = [yd,xb];